summaryrefslogtreecommitdiff
path: root/os/debian/config
diff options
context:
space:
mode:
Diffstat (limited to 'os/debian/config')
-rwxr-xr-xos/debian/config21
1 files changed, 21 insertions, 0 deletions
diff --git a/os/debian/config b/os/debian/config
new file mode 100755
index 000000000..01dfb3659
--- /dev/null
+++ b/os/debian/config
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
+FILES="trg1r.grf trgcr.grf trghr.grf trgir.grf trgtr.grf sample.cat"
+DATADIR=/usr/share/games/openttd/data
+
+MISSING="No";
+for FILE in $FILES; do
+ # Check if all the files needed are here.
+ if [ ! -e $DATADIR/$FILE ]; then
+ MISSING="Yes";
+ break;
+ fi;
+done;
+
+if [ $MISSING = "Yes" ]; then
+ db_input high openttd/datafiles || true
+ db_go
+fi;